window.addEventListener('DOMContentLoaded', function() {
	'use strict';
	   var whatsearch="";
	   var numPaginas=1;
	   var TotalPaginas=0;
	   var TotalResul=10;
	   var latitud="0";
	   var longitud="0";
	    latitud=localStorage["lat"];
		longitud=localStorage["long"];
	   var url = document.location.href;
	   var getString = url.split('?')[1];
	   var GET = getString.split('&');
	   var get = {};//this object will be filled with the key-value pairs and returned.
	   var arrayListResultSearch=null;
	   var indexlist=-1;
	  var arraySearchResults=new Array(objectListResult);

	   localStorage['Navegacion']="index.html";

	   for(var i = 0, l = GET.length; i < l; i++){
	      var tmp = GET[i].split('=');
	      get[tmp[0]] = unescape(decodeURI(tmp[1]));
	   }
	 whatsearch=get.q;
	 var msnbuscando=document.getElementById('msnbuscando');
	 var searchInput = document.getElementById('term');	
	 var textoEncabezado = document.getElementById('numneg');
	 var butonMas=document.getElementById('butonMas');
	 var notExistResult=document.getElementById('notExistResult');
	 var contListResultSearch = document.getElementById('contListResultSearch');
	 var requestListResultSearch=null;


	  /*Funcion para realizar un back*/
	var frmAtras = document.querySelector('form[name="frmatras"]');

	frmAtras.addEventListener('submit', function(e) {
      e.preventDefault();
     retrocede();
  	}, false);

	function retrocede() 
	{
 		window.history.go(-1);
	}
	/*Fin de Funcion para realizar un back*/

	if(whatsearch!="" && whatsearch!="undefined")
	{
		//searchInput.value=qSearch;
		textoEncabezado.textContent="Buscaste: "+whatsearch;
		navigator.mozL10n.once(llamaListResultSearch(whatsearch, latitud, longitud, numPaginas, TotalResul));
	}
	else
	{
		alert('Por favor ingresa un término de búsqueda.');
	}
	var searchNew = document.getElementById('termSearch');	
	var frmBuscarSearch = document.querySelector('form[name="frmBuscarSearch"]');
	frmBuscarSearch.addEventListener('submit', function(e) 
	 {
	     e.preventDefault();
	     SearchMore();
  	 }, false);

	function SearchMore()
	{
		if(searchNew.value!="")
		{
			while (contListResultSearch.firstChild)
			{
				contListResultSearch.removeChild(contListResultSearch.firstChild);
			}
			msnbuscando.hidden = false;
			 whatsearch=searchNew.value;
			 textoEncabezado.textContent="Buscaste: "+whatsearch;
			navigator.mozL10n.once(llamaListResultSearch(whatsearch, latitud, longitud, numPaginas, TotalResul));
			/*document.location = 'listResultSearch.html?q='+;  
		    document.location.href = 'listResultSearch.html?q='+searchList.value;*/
		    searchNew.value="";
		}
	    else
		{
			alert('Por favor ingresa un término de búsqueda.');
			searchNew.focus();
		}
	    
	}

	/**/
	

	function llamaListResultSearch(whatsearch, latitud, longitud, numPaginas, TotalResul)
	{		
			
			var urlnegsearch= serverMotonBusqueda(whatsearch, latitud, longitud, numPaginas, TotalResul);
			if(requestListResultSearch && requestListResultSearch.abort) {
					requestListResultSearch.abort();
				}
			 requestListResultSearch = new XMLHttpRequest({ mozSystem: true });
			 requestListResultSearch.open('get', urlnegsearch, true);
			 requestListResultSearch.responseType = 'json';
			 requestListResultSearch.addEventListener('error', onRequestError);
			 requestListResultSearch.addEventListener('load', onRequestListResultSearch);
			 requestListResultSearch.send();
	}

	function onRequestError() 
	{
			 notResult();
  	}

  function notResult()
 	{

 		if(arraySearchResults!=null)
 		{
	 		var centalistado=arraySearchResults.length-1;
	 		if(centalistado>0)
	 		{
	 			notExistResult.hidden=true;
	 			contListResultSearch.hidden = false;
	 			butonMas.hidden = false;
	 			msnbuscando.textContent="No pudimos encontrar más resultados."
	 		}
	 		else
	 		{
	 		    contListResultSearch.hidden = true;
	 			butonMas.hidden = true;
			    notExistResult.hidden=false;
			    numneg.textContent="No pudimos encontrar lo que buscabas.";
	 		}
 		}
 		else
 		{
 				contListResultSearch.hidden = true;
	 			butonMas.hidden = true;
			    notExistResult.hidden=false;
			    numneg.textContent="No pudimos encontrar lo que buscabas.";
 		}
 	}

 	function onRequestListResultSearch() {
 	var jsonresult = requestListResultSearch.response;
 	

 	 if(jsonresult.returnedResultsNum!="0" && jsonresult.totalResultsNum!="0")
 		{

 			if(jsonresult.Message==null)
 			{
 			 arrayListResultSearch=jsonresult.ListRes;
 			}
 			else
 			{
 				notResult();
 			}
 		}
 		else
 		{
 		     notResult();
 		}

 		if(jsonresult.totalPages!="0")
 		{
 			TotalPaginas=parseInt(jsonresult.totalPages);
 		}



	 	if(arrayListResultSearch==0 || arrayListResultSearch==null)
	 	{		 
			  notResult();
	 	}
	 	else
	 	{
	 		msnbuscando.hidden = true;
	 		//alert(numNegociosCerca);
	 		arrayListResultSearch.forEach(function(doc) {
	 		 indexlist=indexlist+1;
	  		 var idlist=new objectListResult();
	  		 idlist.listadoid=doc.listadoid;
	  		 arraySearchResults[indexlist]=idlist;
	  		 
	 		var distanciakm=0;
	 		var namenegocio=document.createElement('h4');
	 		namenegocio.textContent=doc.bn;
	 		//colocaion de estrellas 
	 		var imagrating=document.createElement('img');
	 		imagrating.src="images/rating.png";

	 		var divrating=document.createElement('div');
	 		divrating.className = divrating.className + "rating";
	 		divrating.appendChild(imagrating);
	 		//fin de estrellas

			//inicia numero de comentarios
	 		var numcomentarios=document.createElement('a');
	 		numcomentarios.className = divrating.numcomentarios + "comentarios";
	 		numcomentarios.textContent = "(10 comentarios)";
	 		numcomentarios.href = "#";

	 		var divcomentarios=document.createElement('div');
	 		divcomentarios.className = divcomentarios.className + "comentariosgral";
	 		divcomentarios.appendChild(numcomentarios);
 			//Fin de numero de comentarios

 			//Inicia distancia		
 			var divdistancia=document.createElement('div');
	 		divdistancia.className = divdistancia.className + "kilometrajecat";
	 		if(doc.latlon!=null && doc.latlon!="")
	 		{
	 		 distanciakm=parseFloat(doc.latlon)*10/1000;
	 		 divdistancia.textContent=distanciakm+" KM";
	 		}
 			//Fin Ditancia

	 		var contdatneg=document.createElement('a');
	 		contdatneg.href = "listDetalle.html?listadoid="+doc.listadoid;
	 		contdatneg.appendChild(namenegocio);
	 		//contdatneg.appendChild(divrating);
	 		//contdatneg.appendChild(divcomentarios);
	 		contdatneg.appendChild(divdistancia);
	 		
            
            var conttodoneg=document.createElement('div');
            conttodoneg.className = conttodoneg.className + "listlink";
	        conttodoneg.appendChild(contdatneg);

	        contListResultSearch.appendChild(conttodoneg);
	 		});
	 	}

 	}


 	/*Funcion para realizar un Paginar*/	
	var frmPagina = document.querySelector('form[name="frmPagina"]');
	frmPagina.addEventListener('submit', function(e) {
      e.preventDefault();
     Paginar();
  	}, false);

	function Paginar() 
	{
 		if(numPaginas<TotalPaginas)
 		{
 			numPaginas=numPaginas+1;
 			msnbuscando.hidden = false;
 			navigator.mozL10n.once(llamaListResultSearch(whatsearch, latitud, longitud, numPaginas, TotalResul));
 		}
	}
	/*Fin de Funcion para realizar un Paginar*/


});